/***********************CHECK********************************/

if(doesfunctionexist("h5_read_string_dataset"))
	{
	result("\nNiermann's plugin for reading HDF5  installed\n");
	throw("")
	}	
result("\nNiermann's plugin for reading HDF5 NOT installed\nImport Velox SI will be not possible !!\n");

/******************************
Ersatz HDF5 commands
*******************************/
void MSA112_NoHDF5() 
{
OKdialog("Install a system-specific plugin for  reading HDF5!!")
throw("Install a system-specific plugin for  reading HDF5!!")
}

number h5_is_file(string fileName) 
	{
	result("\nInstall a system-specific plugin for  reading HDF5!!")
	MSA112_NoHDF5();
	return 1;
	}

TagGroup h5_info(string fileName, string Path)  {MSA112_NoHDF5();return NewTagGroup();}

string h5_read_string_dataset(string fileName, string Path)  {MSA112_NoHDF5();return "";}

image h5_read_dataset(string fileName, string Path){MSA112_NoHDF5();return NULL;}